\chapter{Postdoc with Reservations}
In this chapter, we apply the \textit{reservation-per-item model} to the \textit{Postdoc Problem}. The interviewer interviews $n$ candidates in random order. After each interview, the interviewer ranks the interviewed candidate against all candidates \textit{interviewed} so far. He can then reject the candidate, which continues the interview process, and the candidate is not available anymore. He can accept the candidate, which ends the interview process, or he can reserve the candidate at a specific reservation cost $c$, which allows the interviewer to accept that candidate at any later step. In the end, the interviewer has to either accept the last candidate or one of the reserved candidates. After accepting, the interviewer gets a payoff of $1-rc$ if the second-best overall candidate was accepted and $-rc$ if not. $r$ is the number of candidates reserved by the interviewer before accepting.

We are now interested in finding the optimal strategy which maximizes the expected payoff, which we will refer to as the expected gain over all possible candidate orderings. It is important that every candidate ordering is equally likely, and the interviewer can only rank a seen candidate against all already interviewed candidates. We call the overall second-best candidate the winning candidate, a candidate who is the best seen so far a 1-candidate, and a candidate who is second-best so far a 2-candidate. From now on, we assume that the number of candidates is at least two. If there is only one candidate, the optimal strategy is trivial since there is no second-best candidate.

We now first show how we can calculate the optimal strategy by giving some recursive equations for the expected gain of the optimal strategy in different states. We then analyze the optimal strategy for different reservation costs in the following sections.